require 'sketchup.rb'
require 'Dimensions/Preferences.rb'
require 'Dimensions/GetDimensions.rb'

if(not file_loaded?("dimensions_load.rb"))
    pluginMenu = UI.menu($PluginMenuName)
	
	dimensions = Dimensions.new
	
	pluginMenu.add_separator
	getDimensionsSubMenu = pluginMenu.add_submenu($DimensionsMenuName){}
	getDimensionsSubMenu.add_item($GetDimensionsMenuItem){dimensions.get_selection_dimensions}	
	autoDisplayItem = getDimensionsSubMenu.add_item($AutoDisplayMenuItem){dimensions.connect_observer}
	getDimensionsSubMenu.set_validation_proc(autoDisplayItem){dimensions.menu_checked}
end

file_loaded("dimensions_load.rb")